.btn {
    border: none;
    outline: none;
    cursor: pointer;
    min-height: rem(50);
    font-weight: 500;
    font-size: rem(16);
    line-height: rem(24);
    padding: rem(8) rem(36);
    user-select: none;
    text-align: center;
    white-space: nowrap;
    position: relative;
    text-decoration: none;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    vertical-align: middle;
    border-radius: rem(8);

    span {
        top: rem(2);
        position: relative;
        display: inline-block;
    }

    i {
        font-size: 0;
        line-height: 0;
        display: inline-block;
        height: rem(24);
    }

    b {
        font-size: 0;
        line-height: 0;
        display: inline-block;
        height: rem(18);
        margin-right: rem(6);
    }

    span + i {
        margin-left: rem(6);
    }

    i + span {
        margin-left: rem(6);
    }

    &:focus,
    &.focus {
        outline: 0;
    }

    @include media-breakpoint-up(xl) {
        font-size: rem(18);
        line-height: rem(26);
        min-height: rem(64);
        border-radius: rem(10);
    }
}

.btn-white {
    fill: #040E31;
    color: #358CFF;
    background: $white;

    &:hover {
        fill: #358CFF;
        color: #358CFF;
        background: $light;
        text-decoration: none;
        transition: .3s;
    }

    &:active {
        background: $white;
    }
}

.btn-gray {
    fill: $black;
    color: $black;
    background: #F4F5F6;

    &:hover {
        fill: $black;
        color: $black;
        background: #e1e1e1;
        text-decoration: none;
        transition: .3s;
    }

    &:active {
        fill: $black;
        color: $black;
        background: #F4F5F6;
    }
}

.btn-blue {
    fill: $white;
    color: $white;
    background: linear-gradient(97.57deg, #358CFF 0%, #006DFF 100%);

    &:hover {
        fill: $white;
        color: $white;
        background: $blue;
    }

    &:active {
        background: #006DFF;
    }
}

.btn-blur {
    fill: $white;
    color: $white;
    background: rgba(255, 255, 255, 0.15);
    backdrop-filter: blur(8px);

    &:hover {
        fill: $white;
        color: $white;
        background: rgba(255, 255, 255, 0.25);
    }

    &:active {
        background: rgba(255, 255, 255, 0.15);
    }
}

.btn-tg {
    fill: $white;
    color: $white;
    background: #50A1DC;
    padding: rem(4) rem(24);

    i {
        height: rem(32);
    }

    span + i {
        margin-left: rem(4);
    }

    i + span {
        margin-left: rem(4);
    }

    &:hover {
        fill: $white;
        color: $white;
        background: #2a9dea;
    }

    &:active {
        fill: $white;
        color: $white;
        background: #50A1DC;
    }
}

.btn-sm {
    min-height: rem(40);
    border-radius: rem(8);
    padding: rem(4) rem(20);
}

.btn-md {
    min-height: rem(48);
    border-radius: rem(10);
    padding: rem(4) rem(28);
    flex-shrink: 0;

    &.btn-icon {
        width: rem(45);
    }

    @include media-breakpoint-up(xl) {
        min-height: rem(48);
        font-size: rem(16);
        line-height: rem(24);

        &.btn-icon {
            width: rem(45);
        }
    }
}

.btn-lg {
    min-height: rem(45);
    border-radius: rem(10);
    padding: rem(4) rem(28);
    flex-shrink: 0;

    &.btn-icon {
        width: rem(45);
    }

    @include media-breakpoint-up(xl) {
        min-height: rem(55);

        &.btn-icon {
            width: rem(65);
        }
    }
}

.btn-icon {
    padding: 0;
    width: rem(50);

    @include media-breakpoint-up(xl) {
        width: rem(64);
    }
}

.btn-nav {
    border: none;
    outline: none;
    stroke: $dark;
    font-size: 0;
    line-height: 0;
    width: rem(48);
    height: rem(48);
    cursor: pointer;
    border-radius: 50%;
    background: $white;
    box-shadow: 0px 4px 27px rgba(0, 0, 0, 0.05);
    display: flex;
    align-items: center;
    justify-content: center;
    transition: .3s;

    &:hover {
        stroke: $blue;
        box-shadow: 0px 4px 27px rgba(0, 0, 0, 0.25);
    }

    &:active {
        stroke: $dark;
        box-shadow: 0px 4px 27px rgba(0, 0, 0, 0.05);
    }

    i {
        font-size: 0;
        line-height: 0;
        flex-shrink: 0;
        height: rem(24);
        display: inline-block;
    }

    &--gray {
        background: #EDF1F5;
    }

    &--blur {
        stroke: $white;
        background: rgba(255, 255, 255, 0.1);
        backdrop-filter: blur(50px);

        &:hover {
            stroke: $white;
        }

        &:active {
            stroke: $white;
        }
    }

    &.swiper-button-disabled {
        cursor: default;
        stroke: #ccc;
        opacity: 0.5;

        &:hover {
            box-shadow: 0px 4px 27px rgba(0, 0, 0, 0.05);
        }
    }

    @include media-breakpoint-up(md) {
        width: rem(60);
        height: rem(60);
    }
}

.btn-favorite {
    fill: none;

    &__border {
        fill: $white;
    }

    &.added {

        .btn-favorite__bg {
            fill: $white;
        }
    }

    &:hover {
        fill: none;
    }
}

.btn-light {
    fill: $white;
    color: $white;
    background: $light-blue;

    &:hover {
        fill: $white;
        color: $white;
        background: $blue;
        transition: .3s;
    }

    &:active {
        background: $light-blue;
    }
}

.btn-inverse {
    fill: $white;
    color: $white;
    background: $blue;

    &:hover {
        fill: $white;
        color: $white;
        background: $blue-hover;
        transition: .3s;
    }

    &:active {
        background: $light;
    }

    @include media-breakpoint-up(xl) {
        fill: $blue;
        color: $blue;
        background: $white;

        &:hover {
            fill: $blue;
            color: $blue;
            background: $light;
        }

        &:active {
            background: $light;
        }
    }
}

.btn-blue-inverse {
    fill: $white;
    color: $white;
    background: $blue;

    &:hover {
        fill: $white;
        color: $white;
        background: $light-blue;
    }

    &:active {
        background: $blue;
    }

    @include media-breakpoint-up(xl) {
        fill: $white;
        color: $white;
        background: $light-blue;

        &:hover {
            fill: $white;
            color: $white;
            background: $blue-hover;
            transition: .3s;
        }

        &:active {
            background: $light-blue;
        }
    }
}

.btn-link {
    margin: 0;
    padding: 0;
    color: rgba(4, 14, 49, 0.5);
    stroke: rgba(4, 14, 49, 0.5);
    border: none;
    outline: none;
    cursor: pointer;
    display: inline-flex;
    align-items: center;
    background: transparent;
    text-decoration: none;
    transition: .3s;

    i {
        font-size: 0;
        line-height: 0;
        top: -2px;
        position: relative;
        display: inline-block;
        height: rem(24);
        margin-right: rem(8);
    }

    span {

        position: relative;
        display: inline-block;
    }

    &:hover {
        color: $dark;
        stroke: $dark;
        text-decoration: none;
        transition: .3s;
    }

    &--black {
        color: $dark;
        stroke: $dark;
        font-weight: 600;
        text-decoration: underline;
    }
}

.btn-share {
    padding: 0;
    width: rem(64);

    span {
        display: none;
    }

    @include media-breakpoint-up(md) {
        width: auto;
        padding: rem(4) rem(28);

        span {
            display: inline-block;
        }
    }
}

